tigase.xmpp.impl.roster

## Class DynamicRoster

- java.lang.Object
- - tigase.xmpp.impl.roster.DynamicRoster

-     public abstract class DynamicRoster
      extends Object

  Describe class DynamicRoster here. Created: Tue Nov 6 11:28:10 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicRoster()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static tigase.xmpp.JID[]` | `addBuddies(XMPPResourceConnection session, Map<String,Object> settings, tigase.xmpp.JID[] buddies)` Method description
    `static void` | `addBuddiesToList(List<tigase.xmpp.JID> list, tigase.xmpp.JID[] buddies)` Method description
    `static tigase.xmpp.JID[]` | `getBuddies(XMPPResourceConnection session, Map<String,Object> settings)` Method description
    `static List<tigase.xmpp.JID>` | `getBuddiesList(XMPPResourceConnection session, Map<String,Object> settings)` Method description
    `static tigase.xml.Element` | `getBuddyItem(XMPPResourceConnection session, Map<String,Object> settings, tigase.xmpp.JID buddy)` Method description
    `static DynamicRosterIfc[]` | `getDynamicRosters(Map<String,Object> settings)` Method description
    `static tigase.xml.Element` | `getItemExtraData(XMPPResourceConnection session, Map<String,Object> settings, tigase.xml.Element item)` Method description
    `static List<tigase.xml.Element>` | `getRosterItems(XMPPResourceConnection session, Map<String,Object> settings)` Method description
    `static void` | `init_settings(Map<String,Object> settings)` Method description
    `static void` | `setItemExtraData(XMPPResourceConnection session, Map<String,Object> settings, tigase.xml.Element item)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicRoster

          public DynamicRoster()

  - ### Method Detail

    - #### addBuddies

          public static tigase.xmpp.JID[] addBuddies(XMPPResourceConnection session,
                                     Map<String,Object> settings,
                                     tigase.xmpp.JID[] buddies)
                                              throws NotAuthorizedException,
                                                     RosterRetrievingException,
                                                     RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
        `buddies` -
      Returns:
        a value of `JID[]`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### addBuddiesToList

          public static void addBuddiesToList(List<tigase.xmpp.JID> list,
                              tigase.xmpp.JID[] buddies)

      Method description
      Parameters:
        `list` -
        `buddies` -

    - #### init_settings

          public static void init_settings(Map<String,Object> settings)

      Method description
      Parameters:
        `settings` -

    - #### getBuddies

          public static tigase.xmpp.JID[] getBuddies(XMPPResourceConnection session,
                                     Map<String,Object> settings)
                                              throws NotAuthorizedException,
                                                     RosterRetrievingException,
                                                     RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
      Returns:
        a value of `JID[]`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### getBuddiesList

          public static List<tigase.xmpp.JID> getBuddiesList(XMPPResourceConnection session,
                                             Map<String,Object> settings)
                                                      throws NotAuthorizedException,
                                                             RosterRetrievingException,
                                                             RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
      Returns:
        a value of `List`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### getBuddyItem

          public static tigase.xml.Element getBuddyItem(XMPPResourceConnection session,
                                        Map<String,Object> settings,
                                        tigase.xmpp.JID buddy)
                                                 throws NotAuthorizedException,
                                                        RosterRetrievingException,
                                                        RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
        `buddy` -
      Returns:
        a value of `Element`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### getDynamicRosters

          public static DynamicRosterIfc[] getDynamicRosters(Map<String,Object> settings)

      Method description
      Parameters:
        `settings` -
      Returns:
        a value of `DynamicRosterIfc[]`

    - #### getItemExtraData

          public static tigase.xml.Element getItemExtraData(XMPPResourceConnection session,
                                            Map<String,Object> settings,
                                            tigase.xml.Element item)

      Method description
      Parameters:
        `session` -
        `settings` -
        `item` -
      Returns:
        a value of `Element`

    - #### getRosterItems

          public static List<tigase.xml.Element> getRosterItems(XMPPResourceConnection session,
                                                Map<String,Object> settings)
                                                         throws NotAuthorizedException,
                                                                RosterRetrievingException,
                                                                RepositoryAccessException

      Method description
      Parameters:
        `session` -
        `settings` -
      Returns:
        a value of `List`
      Throws:
        `NotAuthorizedException`
        `RepositoryAccessException`
        `RosterRetrievingException`

    - #### setItemExtraData

          public static void setItemExtraData(XMPPResourceConnection session,
                              Map<String,Object> settings,
                              tigase.xml.Element item)

      Method description
      Parameters:
        `session` -
        `settings` -
        `item` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.